Peers
All operations require authentication.
List the WireGuard peers of an OverTheBox serviceBeta
Returns the IDs of the WireGuard peers configured on the OverTheBox service.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ wireguard/ peers \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a WireGuard peer on an OverTheBox serviceBeta
Adds a WireGuard peer to the service from its name, description, public key and private IPv4. Returns the created peer.
Path parameters
Service name
Request body (required)
Wireguard peer description
Wireguard peer name
Wireguard peer private IP
Wireguard peer public key
Response
Wireguard peer status
Wireguard peer description
Wireguard peer name
Wireguard peer id
Wireguard peer private IP
Wireguard peer public key
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ wireguard/ peers \
-H "authorization: Bearer $OVH_TOKEN"{ "active": true, "description": "string", "name": "string", "peerId": "string", "privateIpv4": "192.0.2.0/24", "publicKey": "string"}
Get a WireGuard peer of an OverTheBox serviceBeta
Returns a WireGuard peer with its name, description, public key, private IPv4 and whether it is active.
Path parameters
Peer ID
Service name
Response
Wireguard peer status
Wireguard peer description
Wireguard peer name
Wireguard peer id
Wireguard peer private IP
Wireguard peer public key
Example uses peerId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ wireguard/ peers/ {peerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "active": true, "description": "string", "name": "string", "peerId": "string", "privateIpv4": "192.0.2.0/24", "publicKey": "string"}
Update a WireGuard peer of an OverTheBox serviceBeta
Changes the name, description, public key, private IPv4 or active status of a WireGuard peer. Returns the task that applies the change.
Path parameters
Peer ID
Service name
Request body (required)
Wireguard peer status
Wireguard peer description
Wireguard peer name
Wireguard peer private IP
Wireguard peer public key
Response
Service task name
Service task status
doingdoneerrortodoService task ID
Example uses peerId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ wireguard/ peers/ {peerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "status": "doing", "taskId": "string"}
Delete a WireGuard peer of an OverTheBox serviceBeta
Removes the WireGuard peer from the service. Returns the task that performs the removal.
Path parameters
Peer ID
Service name
Response
Service task name
Service task status
doingdoneerrortodoService task ID
Example uses peerId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ wireguard/ peers/ {peerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "status": "doing", "taskId": "string"}